Subject: Re: bash "pregnant pauses" revisited (B19 on NT 4.0)
From: [email-masked] (Arndt Schoenewald)

16 Aug 1998 06:48:10 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Matthias Morche <[email-masked]>
Cc: Cygwin32 Maillist <[email-masked]>

On Fri, Aug 14, 1998 at 06:55:37PM +0200, Matthias Morche wrote:

> Please, give us a dump of Your PATH as seen by the bash from within
> cygnus.bat. I've got similar problems before I tweaked my PATH.
> Obviously cygwin tried to interpret some element of the path as a
> hostname.

Well, this is what I checked first (I have read all the messages from July
regarding delays caused by name lookups for DOS-style path names).

Anyway, this is what I get in a newly opened CMD.EXE window:

    Microsoft(R) Windows NT(TM)
    (C) Copyright 1985-1996 Microsoft Corp.

    D:\>echo %PATH%
    D:\Perl\5.00502\bin\MSWin32-x86-object;D:\Perl\5.00502\bin;D:\WINNT\system32;D:\WINNT

And this is from a fresh bash window launched via cygnus.bat:

    Cygnus Cygwin32 B19
    bash-2.01$ echo $PATH
    /Cygnus/B19/H-i386-cygwin32/bin://D/Perl/5.00502/bin/MSWin32-x86-object://D/Perl/5.00502/bin://D/WINNT/system32://D/WINNT
    bash-2.01$ 

But even if I had a stale network drive in PATH, this wouldn't explain
why the prompt is often delayed when I just hit <RETURN> on an empty
line -- why should the shell search the PATH when there's no command
to execute and the prompt is a constant string?!

Still wondering,
Arndt

-- 
Arndt Schoenewald ([email-masked])
IT Technology & Solutions Integrator
Ostenhellweg 31, 44135 Dortmund, Germany
Tel: +49 231 556075
Fax: +49 231 556049
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".